oro_behat_extension:
  suites:
    OroEntityExtendBundle:
      contexts:
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
        - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
        - Oro\Bundle\EmailBundle\Tests\Behat\Context\EmailContext
        - Oro\Bundle\EntityExtendBundle\Tests\Behat\Context\EntityExtendContext
        - Oro\Bundle\EntityExtendBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
        - Oro\Bundle\SecurityBundle\Tests\Behat\Context\ACLContext
        - Oro\Bundle\ConfigBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\LocaleBundle\Tests\Behat\Context\LocalizationContext
        - Oro\Bundle\ImportExportBundle\Tests\Behat\Context\ImportExportContext
      paths:
        - '@OroEntityExtendBundle/Tests/Behat/Features'
  elements:
    Create Entity:
      selector: '.btn-primary[title="Create entity"]'

    Create Field:
      selector: '.btn[title="Create field"]'

    Update Schema:
      selector: '.btn-danger[title="Update schema"]'

    Target Entity:
      selector: 'select[data-name="field__target-entity"]'
      class: Oro\Bundle\FormBundle\Tests\Behat\Element\Select2Entity

    Bidirectional:
      selector: 'select[data-name="field__bidirectional"]'
      class: Oro\Bundle\FormBundle\Tests\Behat\Element\Select2Entity

    EntityConfigForm:
      selector: "form[name='oro_entity_config_type']"
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      options:
        mapping:
          Option First: 'oro_entity_config_type[enum][enum_options][0][label]'
          Option Second: 'oro_entity_config_type[enum][enum_options][1][label]'

    CustomEntityForm:
      selector: "form[name='custom_entity_type']"
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      options:
        mapping:
          CustomDateTimeField:
            type: 'css'
            locator: '[name="custom_entity_type[CustomDateTimeField]"]'
            element: DateTimePicker
          CustomDateField:
            type: 'css'
            locator: '[name="custom_entity_type[CustomDateField]"]'
            element: DateTimePicker
          CustomWYSIWYGField:
            type: 'css'
            locator: '[name="custom_entity_type[CustomWYSIWYGField]"]'
            element: WysiwygField

    Column Name Field:
      selector: 'input[data-name="field__header"]'
